Miridia
Portal
Sales

Orders

The orders operations of the Core API.

Base URL: https://api.miridia.io. Read Authentication and Conventions before you call these operations.

MethodPathOperation
GET/api/v1/OrdersGet orders
POST/api/v1/OrdersCreate order
POST/api/v1/Orders/deleteBulk delete orders
GET/api/v1/Orders/{orderId}Get order
PATCH/api/v1/Orders/{orderId}Patch order
POST/api/v1/Orders/{orderId}/add-dimension-presetAssign dimension preset
POST/api/v1/Orders/{orderId}/shipmentsCreate order shipment
PUT/api/v1/Orders/{orderId}/shipments/{shipmentId}/itemsUpdate order shipment items
GET/api/v1/Orders/settingsGet order settings
PATCH/api/v1/Orders/settingsUpdate order settings
GET/api/v1/Orders/{orderId}/tracesGet activity traces
POST/api/v1/Orders/{orderId}/tracesAdd order trace
POST/api/v1/Orders/{orderId}/attachmentsAdd order file attachment
DELETE/api/v1/Orders/{orderId}/attachments/{attachmentId}Remove order file attachment
POST/api/v1/Orders/{orderId}/metadataAdd order metadata
GET/api/v1/Orders/{orderId}/commentsGet order comments
POST/api/v1/Orders/{orderId}/commentsAdd order comment
DELETE/api/v1/Orders/{orderId}/comments/{commentId}Delete order comment
PATCH/api/v1/Orders/{orderId}/items/{orderItemId}Update order item
DELETE/api/v1/Orders/{orderId}/items/{orderItemId}Delete order item
POST/api/v1/Orders/{orderId}/itemsAdd order item

Get orders

GET/api/v1/Orders

Access. Send a bearer token or an API key. The caller needs the Orders view permission.

Parameters

NameInTypeRequiredDescription
Pagequeryinteger (int32)NoLimits: minimum 1.
PageSizequeryinteger (int32)NoLimits: minimum 1, maximum 100.
$orderbyquerystringNoExample: "created_at desc" or "name asc"
$filterquerystringNoApply a ODATA style filter to the query to add a fixed constraint. For example, if you want to filter by the creation date, you would set the filter to "created_at ge 2022-01-01". Or if you want to filter by a specific status, you would set the filter to "status eq 'active'".
$searchquerystringNoProvide a search value which would inherit the 'CONTAINS' behaviour.
sourceChannelIdquerystring (uuid)No
originLocationIdquerystring (uuid)No
statusqueryenum OrderStatusNoOne of: Unknown, New, PendingCollection, PendingDelivery, Complete, Cancelled, PendingReturn, Returned.
fromDatequerystring (date-time)No
toDatequerystring (date-time)No

Response

200. Returns a PagedResult envelope. Each item in data is OrderResponse.

Request
curl -X GET "https://api.miridia.io/api/v1/Orders" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID"

Create order

POST/api/v1/Orders

Access. Send a bearer token or an API key. The caller needs the Orders modify permission.

Request body

Send JSON with the shape CreateOrderRequest.

FieldTypeRequiredDescription
customerIdstring (uuid)Yes
locationIdstring (uuid)YesThe location/store this order originates at (its address becomes the order origin).
salesChannelIdstring (uuid)NoThe sales channel (medium) this order comes through. Optional: when omitted, a manual order falls back to the business's default ("Direct") channel, and an integration-ingested order resolves the channel backed by its configured provider.
descriptionstringNo
purchaseOrderNumberstringNoThe customer's purchase order number, when this order is created from a received customer PO.
currencyCodeenum CurrencyCodeNoOne of: Invalid, Eur, Usd, Gbp, Zar, Zmw.
countryCodeenum CountryCodeNoOne of: Invalid, Global, FallbackZa, Be, De, Lu, Nl, Za, Zw, Gb, Us, Zm.
weightTypeenum WeightTypeNoOne of: Unknown, Kilogram, Tonne, Pound, Stone, UsTon, ImperialTon, Gram.
paymentProcessedbooleanNo
paymentMethodenum PaymentMethodNoOne of: Unknown, Cash, Card, CashOnDelivery, CardOnDelivery, Eft, Crypto, Paypal, WireTransfer, DebitOrder.
fulfillmentTypeenum FulfillmentTypeNoOne of: Unknown, Package, Pallet, Container, Miscellaneous.
fulfillmentSubTypeenum FulfillmentSubTypeNoOne of: Unknown, GeneralPackage, FoodDelivery, MedicalDelivery, GroceriesDelivery, StandardPallet, StandardInternationalPallet, StandardUsPallet, StandardEuroPallet, CustomPallet, General10Ft, General20Ft, HighCube20Ft, General40Ft, HighCube40Ft, General45Ft, HighCube45Ft, FlatRack20FtWithSides, FlatRack20FtWithoutSides, FlatRack40FtWithSides, FlatRack40FtWithoutSides, OpenTop20Ft, OpenTop40Ft, Reefer20Ft, Reefer40Ft, MiniVan, DryVan, Flatbed, Tanker, AutoHauler, BoxTruck, Trailer, LowBoy, Dumper, Pickup, TowTruck, DumpTruck.
serviceLevelenum ServiceLevelNoOne of: Unknown, Standard, Express, SameDay, Overnight, TwoDay, InternationalStandard, InternationalExpress, OnDemand, Freight.
dateOfScheduledCollectionstring (date-time)No
itemsCreateOrderItemRequest[]Yes
destinationAddressCreateAddressRequestYes
billingOrderBillingRequestNo
metadatamap<string, string>No
effectiveDatestring (date-time)NoWhen the order actually occurred. Optional; defaults to now.

Response

200. Returns a SingleResult envelope. The data field is OrderResponse.

Request
curl -X POST "https://api.miridia.io/api/v1/Orders" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID" \
  -H "Content-Type: application/json" \
  -d '{
  "customerId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "locationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "salesChannelId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "description": "string",
  "purchaseOrderNumber": "string",
  "currencyCode": "Eur",
  "countryCode": "Global",
  "weightType": "Kilogram",
  "paymentProcessed": true,
  "paymentMethod": "Cash",
  "fulfillmentType": "Package",
  "fulfillmentSubType": "GeneralPackage",
  "serviceLevel": "Standard",
  "dateOfScheduledCollection": "2026-09-29T08:00:00Z",
  "items": [
    {
      "productId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "quantity": 0,
      "dimensionPresetId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "title": "string",
      "description": "string",
      "primaryImageUrl": "string",
      "weight": 0,
      "weightType": "Kilogram",
      "width": 0,
      "length": 0,
      "height": 0,
      "subTotal": 0,
      "totalPrice": 0,
      "totalTax": 0,
      "totalDiscount": 0,
      "discount": 0,
      "discountType": "Percentage"
    }
  ],
  "destinationAddress": {
    "placeId": "string",
    "name": "string",
    "website": "https://example.com",
    "fullAddress": "string",
    "street": "string",
    "suburb": "string",
    "city": "string",
    "country": "string",
    "postcode": "string",
    "unit": "string",
    "number": "string",
    "province": "string",
    "latitude": 0,
    "longitude": 0
  },
  "billing": {
    "subTotal": 0,
    "totalPrice": 0,
    "totalTax": 0,
    "totalDiscount": 0,
    "discount": 0,
    "discountType": "Percentage",
    "taxIncluded": true,
    "taxType": "Sales",
    "taxRate": 0
  },
  "metadata": {
    "key": "string"
  },
  "effectiveDate": "2026-09-29T08:00:00Z"
}'

Bulk delete orders

POST/api/v1/Orders/delete

Bulk delete orders handled as HTTP POST (action endpoint for bulk operations)

Access. Send a bearer token or an API key. The caller needs the Orders delete permission.

Request body

Send JSON of type OrderDeleteCommand[].

Response

200. Returns a PagedResult envelope. Each item in data is OrderResponse.

Request
curl -X POST "https://api.miridia.io/api/v1/Orders/delete" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID" \
  -H "Content-Type: application/json" \
  -d '[
  {
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  }
]'

Get order

GET/api/v1/Orders/{orderId}

Access. Send a bearer token or an API key. The caller needs the Orders view permission.

Parameters

NameInTypeRequiredDescription
orderIdpathstring (uuid)Yes

Response

200. Returns a SingleResult envelope. The data field is OrderResponse.

Request
curl -X GET "https://api.miridia.io/api/v1/Orders/{orderId}" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID"

Patch order

PATCH/api/v1/Orders/{orderId}

Partially update an order's editable header fields: fulfillment type / sub-type / service level, status (Cancelled/Complete only), payment-processed state, and collection date. Only fields present (non-null) in the body are applied.

Access. Send a bearer token or an API key. The caller needs the Orders modify permission.

Parameters

NameInTypeRequiredDescription
orderIdpathstring (uuid)Yes

Request body

Send JSON with the shape PatchOrderCommand. Partial update of an order's editable header fields. Every field is nullable and only applied when non-null, so a caller can PATCH a single property without supplying (and clobbering) the rest of the order.

FieldTypeRequiredDescription
orderIdstring (uuid)NoBound from the route, not the body.
fulfillmentTypeenum FulfillmentTypeNoOne of: Unknown, Package, Pallet, Container, Miscellaneous.
fulfillmentSubTypeenum FulfillmentSubTypeNoOne of: Unknown, GeneralPackage, FoodDelivery, MedicalDelivery, GroceriesDelivery, StandardPallet, StandardInternationalPallet, StandardUsPallet, StandardEuroPallet, CustomPallet, General10Ft, General20Ft, HighCube20Ft, General40Ft, HighCube40Ft, General45Ft, HighCube45Ft, FlatRack20FtWithSides, FlatRack20FtWithoutSides, FlatRack40FtWithSides, FlatRack40FtWithoutSides, OpenTop20Ft, OpenTop40Ft, Reefer20Ft, Reefer40Ft, MiniVan, DryVan, Flatbed, Tanker, AutoHauler, BoxTruck, Trailer, LowBoy, Dumper, Pickup, TowTruck, DumpTruck.
serviceLevelenum ServiceLevelNoOne of: Unknown, Standard, Express, SameDay, Overnight, TwoDay, InternationalStandard, InternationalExpress, OnDemand, Freight.
statusenum OrderStatusNoOne of: Unknown, New, PendingCollection, PendingDelivery, Complete, Cancelled, PendingReturn, Returned.
paymentProcessedbooleanNo
collectionDatestring (date-time)No

Response

200. Returns a SingleResult envelope. The data field is OrderResponse.

Request
curl -X PATCH "https://api.miridia.io/api/v1/Orders/{orderId}" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID" \
  -H "Content-Type: application/json" \
  -d '{
  "orderId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "fulfillmentType": "Package",
  "fulfillmentSubType": "GeneralPackage",
  "serviceLevel": "Standard",
  "status": "New",
  "paymentProcessed": true,
  "collectionDate": "2026-09-29T08:00:00Z"
}'

Assign dimension preset

POST/api/v1/Orders/{orderId}/add-dimension-preset

Access. Send a bearer token or an API key. The caller needs the Orders modify permission.

Parameters

NameInTypeRequiredDescription
orderIdpathstring (uuid)Yes

Request body

Send JSON with the shape ModifyOrderItemPresetCommand.

FieldTypeRequiredDescription
orderIdstring (uuid)Yes
itemsOrderItemIdentity[]Yes
dimensionPresetIdstring (uuid)Yes
removeDimensionPresetbooleanNo

Response

200. Returns a SingleResult envelope. The data field is OrderResponse.

Request
curl -X POST "https://api.miridia.io/api/v1/Orders/{orderId}/add-dimension-preset" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID" \
  -H "Content-Type: application/json" \
  -d '{
  "orderId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "items": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
    }
  ],
  "dimensionPresetId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "removeDimensionPreset": true
}'

Create order shipment

POST/api/v1/Orders/{orderId}/shipments

Creates a order_shipment entry for the order. If no order items are specified all unassigned order items will be assigned to the created shipment.

Access. Send a bearer token or an API key. The caller needs the Orders modify permission.

Parameters

NameInTypeRequiredDescription
orderIdpathstring (uuid)Yes

Request body

Send JSON with the shape CreateOrderShipmentCommand. Command to create a shipment from an order

FieldTypeRequiredDescription
orderIdstring (uuid)Yes
orderItemsstring (uuid)[]Yes
dateCreatedstring (date-time)NoWhen the shipment was created. Optional; defaults to now. Lets seeded/synthetic shipments be backdated to their order's date.

Response

200. Returns a SingleResult envelope. The data field is ShipmentResponse.

Request
curl -X POST "https://api.miridia.io/api/v1/Orders/{orderId}/shipments" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID" \
  -H "Content-Type: application/json" \
  -d '{
  "orderId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "orderItems": [
    "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  ],
  "dateCreated": "2026-09-29T08:00:00Z"
}'

Update order shipment items

PUT/api/v1/Orders/{orderId}/shipments/{shipmentId}/items

Replaces the item set of a shipment that already belongs to the order. The shipment keeps its id and its code; only the items it carries change. An item taken from another shipment of the order moves across, and a shipment left with no items is deleted.

The request body holds the complete item set, not a delta. An item of the shipment that is absent from the list becomes unassigned. The list cannot be empty: to remove the shipment, delete it. The request returns 409 when the shipment, or any shipment an item is taken from, has moved past the Active status or carries a label, an invoice, a fulfillment request, or an approved quotation.

Access. Send a bearer token or an API key. The caller needs the Orders modify permission.

Parameters

NameInTypeRequiredDescription
orderIdpathstring (uuid)Yes
shipmentIdpathstring (uuid)Yes

Request body

Send JSON with the shape UpdateOrderShipmentItemsCommand. Command to replace the item set of a shipment that already belongs to the order. Use it to move order items onto, or off, an existing shipment. To make a new shipment, use CreateOrderShipmentCommand instead.

FieldTypeRequiredDescription
orderIdstring (uuid)Yes
shipmentIdstring (uuid)Yes
orderItemsstring (uuid)[]YesThe order items the shipment holds after the update. This is the complete set, not a delta: an item of the shipment that is absent here becomes unassigned. The list cannot be empty. Delete the shipment instead.

Response

200. Returns a SingleResult envelope. The data field is ShipmentResponse.

Request
curl -X PUT "https://api.miridia.io/api/v1/Orders/{orderId}/shipments/{shipmentId}/items" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID" \
  -H "Content-Type: application/json" \
  -d '{
  "orderId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "shipmentId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "orderItems": [
    "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  ]
}'

Get order settings

GET/api/v1/Orders/settings

Access. Send a bearer token or an API key. The caller needs the Orders view permission.

Response

200. Returns a SingleResult envelope. The data field is OrderSettingsResponse.

Request
curl -X GET "https://api.miridia.io/api/v1/Orders/settings" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID"

Update order settings

PATCH/api/v1/Orders/settings

Access. Send a bearer token or an API key. The caller needs the Orders modify permission.

Request body

Send JSON with the shape OrderSettingsUpdateCommand.

FieldTypeRequiredDescription
autoAllocatePackagePresetsbooleanNo
autoAllocateFulfillmentProviderbooleanNo
autoGroupOrderItemsbooleanNo
defaultDimensionPresetstring (uuid)No
defaultFulfillmentContactstring (uuid)No
defaultFulfillmentProviderstring (uuid)No
defaultCollectionPreferenceenum CollectionPreferenceNoOne of: NotAllocated, SameDay, NextDay, TwoDays, ThreeDays, FourDays, FiveDays.

Response

200. Returns a SingleResult envelope. The data field is OrderSettingsResponse.

Request
curl -X PATCH "https://api.miridia.io/api/v1/Orders/settings" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID" \
  -H "Content-Type: application/json" \
  -d '{
  "autoAllocatePackagePresets": true,
  "autoAllocateFulfillmentProvider": true,
  "autoGroupOrderItems": true,
  "defaultDimensionPreset": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "defaultFulfillmentContact": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "defaultFulfillmentProvider": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "defaultCollectionPreference": "NotAllocated"
}'

Get activity traces

GET/api/v1/Orders/{orderId}/traces

Get order activity traces

Access. Send a bearer token or an API key. The caller needs the Orders view permission.

Parameters

NameInTypeRequiredDescription
orderIdpathstring (uuid)Yes

Response

200. Returns a PagedResult envelope. Each item in data is ActivityTrace.

Request
curl -X GET "https://api.miridia.io/api/v1/Orders/{orderId}/traces" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID"
Response
{
  "count": 0,
  "totalCount": 0,
  "page": 0,
  "finalPage": 0,
  "pageSize": 0,
  "hasMore": true,
  "statusCode": "OK",
  "data": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "activityType": "System",
      "userId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "code": "string",
      "title": "string",
      "message": "string",
      "source": "string",
      "actionLink": "string",
      "level": "Standard",
      "dateOfActivity": "2026-09-29T08:00:00Z",
      "isDashboardOnly": true,
      "icon": "SyncAlert"
    }
  ],
  "messages": [
    {
      "title": "string",
      "message": "string",
      "level": "Standard",
      "icon": "SyncAlert",
      "code": "string"
    }
  ]
}

Add order trace

POST/api/v1/Orders/{orderId}/traces

Access. Send a bearer token or an API key. The caller needs the Orders modify permission.

Parameters

NameInTypeRequiredDescription
orderIdpathstring (uuid)Yes

Request body

Send JSON with the shape AddActivityTraceRequest.

FieldTypeRequiredDescription
titlestringYes
messagestringYes
codestringNo
sourcestringNo
actionLinkstringNo
levelenum NotificationLevelNoOne of: Standard, Info, Warning, Error, Success, Recommendation.
iconenum MdiIconNoOne of: None, SyncAlert, Autorenew, Check, CheckMarkedCircle, AlertCircle, TruckDeliveryOutline, TruckFastOutline, PackageCheck, Warehouse, SwapHorizontal, AccountCheck, AccountRemove, AccountCancel, Delete.

Response

200. Returns a SingleResult envelope. The data field is OrderResponse.

Request
curl -X POST "https://api.miridia.io/api/v1/Orders/{orderId}/traces" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID" \
  -H "Content-Type: application/json" \
  -d '{
  "title": "string",
  "message": "string",
  "code": "string",
  "source": "string",
  "actionLink": "string",
  "level": "Standard",
  "icon": "SyncAlert"
}'

Add order file attachment

POST/api/v1/Orders/{orderId}/attachments

Step 2 of file attachment: associates a previously uploaded file with this order. Upload the file first via POST /api/files/single, then pass the returned FileAttachment id here.

Access. Send a bearer token or an API key. The caller needs the Orders modify permission.

Parameters

NameInTypeRequiredDescription
orderIdpathstring (uuid)Yes

Request body

Send JSON with the shape AddFileAttachmentRequest. Adds an attachment to an entity's metadata attachment collection. Two shapes, discriminated by Type: - File (default). title and url are required and taken as-is from the request; FileAttachmentId on the resulting metadata entry stays Guid.Empty.

FieldTypeRequiredDescription
typeenum MetadataAttachmentTypeNoOne of: File, Link.
fileIdstring (uuid)NoRequired when Type is File.
titlestringNoRequired when Type is Link. Ignored for File.
urlstringNoRequired when Type is Link. Ignored for File.
descriptionstringNo

Response

200. Returns a SingleResult envelope. The data field is OrderResponse.

Request
curl -X POST "https://api.miridia.io/api/v1/Orders/{orderId}/attachments" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID" \
  -H "Content-Type: application/json" \
  -d '{
  "type": "File",
  "fileId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "title": "string",
  "url": "string",
  "description": "string"
}'

Remove order file attachment

DELETE/api/v1/Orders/{orderId}/attachments/{attachmentId}

Removes a previously associated attachment (file or link) from this order by its metadata attachment entry id.

Access. Send a bearer token or an API key. The caller needs the Orders modify permission.

Parameters

NameInTypeRequiredDescription
orderIdpathstring (uuid)Yes
attachmentIdpathstring (uuid)Yes

Response

200. Returns a SingleResult envelope. The data field is OrderResponse.

Request
curl -X DELETE "https://api.miridia.io/api/v1/Orders/{orderId}/attachments/{attachmentId}" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID"

Add order metadata

POST/api/v1/Orders/{orderId}/metadata

Merges the provided key/value pairs into the order's free-form metadata dictionary. A non-null value adds or overwrites the key; a null value removes the key.

Access. Send a bearer token or an API key. The caller needs the Orders modify permission.

Parameters

NameInTypeRequiredDescription
orderIdpathstring (uuid)Yes

Request body

Send JSON of type map<string, string>.

Response

200. Returns a SingleResult envelope. The data field is OrderResponse.

Request
curl -X POST "https://api.miridia.io/api/v1/Orders/{orderId}/metadata" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID" \
  -H "Content-Type: application/json" \
  -d '{
  "key": "string"
}'

Get order comments

GET/api/v1/Orders/{orderId}/comments

Returns the user-authored comments on this order, oldest first.

Access. Send a bearer token or an API key. The caller needs the Orders view permission.

Parameters

NameInTypeRequiredDescription
orderIdpathstring (uuid)Yes

Response

200. Returns a PagedResult envelope. Each item in data is OrderCommentResponse.

Request
curl -X GET "https://api.miridia.io/api/v1/Orders/{orderId}/comments" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID"
Response
{
  "count": 0,
  "totalCount": 0,
  "page": 0,
  "finalPage": 0,
  "pageSize": 0,
  "hasMore": true,
  "statusCode": "OK",
  "data": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "orderId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "comment": "string",
      "user": {},
      "dateCreated": "2026-09-29T08:00:00Z"
    }
  ],
  "messages": [
    {
      "title": "string",
      "message": "string",
      "level": "Standard",
      "icon": "SyncAlert",
      "code": "string"
    }
  ]
}

Add order comment

POST/api/v1/Orders/{orderId}/comments

Adds a comment to the order, attributed to the authenticated user.

Access. Send a bearer token or an API key. The caller needs the Orders modify permission.

Parameters

NameInTypeRequiredDescription
orderIdpathstring (uuid)Yes

Request body

Send JSON with the shape OrderCommentRequest.

FieldTypeRequiredDescription
commentstringYesLimits: maximum 4000 characters.

Response

200. Returns a SingleResult envelope. The data field is OrderCommentResponse.

Request
curl -X POST "https://api.miridia.io/api/v1/Orders/{orderId}/comments" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID" \
  -H "Content-Type: application/json" \
  -d '{
  "comment": "string"
}'
Response
{
  "message": "string",
  "messages": [
    {
      "title": "string",
      "message": "string",
      "level": "Standard",
      "icon": "SyncAlert",
      "code": "string"
    }
  ],
  "data": {
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "orderId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "comment": "string",
    "user": {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "displayName": "string",
      "firstName": "string",
      "lastName": "string",
      "email": "string",
      "phoneNumber": "string"
    },
    "dateCreated": "2026-09-29T08:00:00Z"
  },
  "statusCode": "OK",
  "canRead": true,
  "canEdit": true,
  "canDelete": true
}

Delete order comment

DELETE/api/v1/Orders/{orderId}/comments/{commentId}

Deletes a comment from the order.

Access. Send a bearer token or an API key. The caller needs the Orders modify permission.

Parameters

NameInTypeRequiredDescription
orderIdpathstring (uuid)Yes
commentIdpathstring (uuid)Yes

Response

200. Returns a SingleResult envelope. The data field is boolean.

Request
curl -X DELETE "https://api.miridia.io/api/v1/Orders/{orderId}/comments/{commentId}" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID"
Response
{
  "message": "string",
  "messages": [
    {
      "title": "string",
      "message": "string",
      "level": "Standard",
      "icon": "SyncAlert",
      "code": "string"
    }
  ],
  "data": true,
  "statusCode": "OK",
  "canRead": true,
  "canEdit": true,
  "canDelete": true
}

Update order item

PATCH/api/v1/Orders/{orderId}/items/{orderItemId}

Updates an existing order item

Access. Send a bearer token or an API key. The caller needs the Orders modify permission.

Parameters

NameInTypeRequiredDescription
orderIdpathstring (uuid)Yes
orderItemIdpathstring (uuid)Yes

Request body

Send JSON with the shape UpdateOrderItemRequest. Its billing fields are deliberately nullable (see below), which that non-nullable-decimal interface can't express for a partial PATCH contract.

FieldTypeRequiredDescription
idstring (uuid)No
productIdstring (uuid)No
quantitynumber (double)No
packageGroupIdinteger (int32)No
dimensionPresetIdstring (uuid)No
titlestringNo
descriptionstringNo
primaryImageUrlstringNo
weightnumber (double)No
weightTypeenum WeightTypeNoOne of: Unknown, Kilogram, Tonne, Pound, Stone, UsTon, ImperialTon, Gram.
widthnumber (double)No
lengthnumber (double)No
heightnumber (double)No
subTotalnumber (double)NoNull means "not provided". The caller didn't touch this billing field.
totalPricenumber (double)No
totalTaxnumber (double)No
totalDiscountnumber (double)No
discountnumber (double)No
discountTypeenum DiscountTypeNoOne of: None, Percentage, FixedValue.

Response

200. Returns a SingleResult envelope. The data field is OrderResponse.

Request
curl -X PATCH "https://api.miridia.io/api/v1/Orders/{orderId}/items/{orderItemId}" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID" \
  -H "Content-Type: application/json" \
  -d '{
  "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "productId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "quantity": 0,
  "packageGroupId": 0,
  "dimensionPresetId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "title": "string",
  "description": "string",
  "primaryImageUrl": "string",
  "weight": 0,
  "weightType": "Kilogram",
  "width": 0,
  "length": 0,
  "height": 0,
  "subTotal": 0,
  "totalPrice": 0,
  "totalTax": 0,
  "totalDiscount": 0,
  "discount": 0,
  "discountType": "Percentage"
}'

Delete order item

DELETE/api/v1/Orders/{orderId}/items/{orderItemId}

Deletes an order item from the order

Access. Send a bearer token or an API key. The caller needs the Orders modify permission.

Parameters

NameInTypeRequiredDescription
orderIdpathstring (uuid)Yes
orderItemIdpathstring (uuid)Yes

Response

200. Returns a SingleResult envelope. The data field is OrderResponse.

Request
curl -X DELETE "https://api.miridia.io/api/v1/Orders/{orderId}/items/{orderItemId}" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID"

Add order item

POST/api/v1/Orders/{orderId}/items

Adds a new item to the order

Access. Send a bearer token or an API key. The caller needs the Orders modify permission.

Parameters

NameInTypeRequiredDescription
orderIdpathstring (uuid)Yes

Request body

Send JSON with the shape CreateOrderItemRequest. Its billing fields are deliberately nullable (see below), which that non-nullable-decimal interface can't express.

FieldTypeRequiredDescription
productIdstring (uuid)No
quantitynumber (double)YesUsed when a product is assigned to a order
dimensionPresetIdstring (uuid)No
titlestringNo
descriptionstringNo
primaryImageUrlstringNo
weightnumber (double)No
weightTypeenum WeightTypeNoOne of: Unknown, Kilogram, Tonne, Pound, Stone, UsTon, ImperialTon, Gram.
widthnumber (double)No
lengthnumber (double)No
heightnumber (double)No
subTotalnumber (double)NoNull (or zero, matching the old non-nullable default) means "resolve this from price lists / price history". A non-zero value is a LINE TOTAL and is used unchanged. See IOrderLinePricingService.
totalPricenumber (double)No
totalTaxnumber (double)No
totalDiscountnumber (double)No
discountnumber (double)No
discountTypeenum DiscountTypeNoOne of: None, Percentage, FixedValue.

Response

200. Returns a SingleResult envelope. The data field is OrderResponse.

Request
curl -X POST "https://api.miridia.io/api/v1/Orders/{orderId}/items" \
  -H "Authorization: Bearer $MIRIDIA_TOKEN" \
  -H "X-Business-Id: $MIRIDIA_BUSINESS_ID" \
  -H "Content-Type: application/json" \
  -d '{
  "productId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "quantity": 0,
  "dimensionPresetId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "title": "string",
  "description": "string",
  "primaryImageUrl": "string",
  "weight": 0,
  "weightType": "Kilogram",
  "width": 0,
  "length": 0,
  "height": 0,
  "subTotal": 0,
  "totalPrice": 0,
  "totalTax": 0,
  "totalDiscount": 0,
  "discount": 0,
  "discountType": "Percentage"
}'

Models

The operations on this page use these object types. Select a type to see its fields.

ActionMessage

Action messages surface to the API and provide more detailed user feedback for handled exceptions or errors.

FieldTypeDescription
titlestring
messagestring
levelenum NotificationLevelOne of: Standard, Info, Warning, Error, Success, Recommendation.
iconenum MdiIconOne of: None, SyncAlert, Autorenew, Check, CheckMarkedCircle, AlertCircle, TruckDeliveryOutline, TruckFastOutline, PackageCheck, Warehouse, SwapHorizontal, AccountCheck, AccountRemove, AccountCancel, Delete.
codestringThe Notification code / Suggestion code for this suggestion
ActivityTrace

Refer to ActionMessage. An activity trace becomes an action message once the response to the client is sent.

FieldTypeDescription
idstring (uuid)
activityTypeenum ActivityTypeOne of: System, User.
userIdstring (uuid)
codestring
titlestring
messagestring
sourcestring
actionLinkstring
levelenum NotificationLevelOne of: Standard, Info, Warning, Error, Success, Recommendation.
dateOfActivitystring (date-time)
isDashboardOnlyboolean
iconenum MdiIconOne of: None, SyncAlert, Autorenew, Check, CheckMarkedCircle, AlertCircle, TruckDeliveryOutline, TruckFastOutline, PackageCheck, Warehouse, SwapHorizontal, AccountCheck, AccountRemove, AccountCancel, Delete.
AddressResponse
FieldTypeDescription
idstring (uuid)
placeIdstring
namestring
websitestring
fullAddressstring
streetstring
suburbstring
citystring
countrystring
postcodestring
unitstring
numberstring
provincestring
latitudenumber (double)
longitudenumber (double)
BusinessFulfillmentProviderResponse
FieldTypeDescription
idstring (uuid)
defaultOptionboolean
accountNumberstring
contactEmailstring
dateOfExpirystring (date-time)
contactPersonPrimitiveUserResponse
CollectionPreferenceResponse
FieldTypeDescription
titlestring
collectionPreferenceenum CollectionPreferenceOne of: NotAllocated, SameDay, NextDay, TwoDays, ThreeDays, FourDays, FiveDays.
CollectionResponse
FieldTypeDescription
addressAddressResponse
instructionsstring
contactContactResponse
businessNamestring
collectAfterTimestringFormatted in HH not hh (24 hours)
collectBeforeTimestringFormatted in HH not hh (24 hours)
dateOfCollectionstring (date-time)
ContactResponse
FieldTypeDescription
idstring (uuid)
titlestring
descriptionstring
firstNamestring
lastNamestring
emailstring
phoneNumberstring
mobileNumberstring
CreateAddressRequest
FieldTypeDescription
placeIdstring (string)Limits: maximum 100 characters.
namestring (string)Limits: maximum 50 characters.
websitestring (uri)Limits: maximum 100 characters.
fullAddressstringLimits: maximum 500 characters.
streetstring (string)Limits: maximum 80 characters.
suburbstring (string)Limits: maximum 80 characters.
citystringLimits: maximum 80 characters.
countrystringLimits: maximum 80 characters.
postcodestring (postal-code)Limits: maximum 15 characters.
unitstringLimits: maximum 10 characters.
numberstring (postal-code)Limits: maximum 20 characters.
provincestring (string)Limits: maximum 80 characters.
latitudenumber (double)Limits: minimum -90, maximum 90.
longitudenumber (double)Limits: minimum -180, maximum 180.
CreateOrderItemRequest

Its billing fields are deliberately nullable (see below), which that non-nullable-decimal interface can't express.

FieldTypeDescription
productIdstring (uuid)
quantitynumber (double)Used when a product is assigned to a order
dimensionPresetIdstring (uuid)
titlestring
descriptionstring
primaryImageUrlstring
weightnumber (double)
weightTypeenum WeightTypeOne of: Unknown, Kilogram, Tonne, Pound, Stone, UsTon, ImperialTon, Gram.
widthnumber (double)
lengthnumber (double)
heightnumber (double)
subTotalnumber (double)Null (or zero, matching the old non-nullable default) means "resolve this from price lists / price history". A non-zero value is a LINE TOTAL and is used unchanged. See IOrderLinePricingService.
totalPricenumber (double)
totalTaxnumber (double)
totalDiscountnumber (double)
discountnumber (double)
discountTypeenum DiscountTypeOne of: None, Percentage, FixedValue.
CurrencyResponse
FieldTypeDescription
iso4217string
utf8Symbolstring
currencyCodeenum CurrencyCodeOne of: Invalid, Eur, Usd, Gbp, Zar, Zmw.
CustomerIntegrationProviderResponse
FieldTypeDescription
providerPrimitiveIntegrationProviderResponse
customerCustomerResponse
CustomerResponse
FieldTypeDescription
idstring (uuid)
isBusinessboolean
titlestring
websitestring
emailstring
businessNamestring
groupIdstring (uuid)The customer group this customer belongs to, if any. Used as a price-list assignment scope.
phoneNumberstringThis would generally represent the phone number for the customer if the customer is a business. Otherwise, the contact details should be part of the contact, and not the customer. Limits: maximum 20 characters.
integrationTypeenum IntegrationProviderTypeOne of: None, Commerce, Accounting, Erp, Crm, Fulfillment, Warehouse, WorkflowManager.
dateCreatedstring (date-time)
billingAddressAddressResponse
shippingAddressAddressResponse
integrationsCustomerIntegrationProviderResponse[]
contactsContactResponse[]
primaryContactContactResponse
parentCustomerResponse
attachmentsMetadataFileAttachment[]
totalSalesinteger (int32)
totalSpentnumber (double)
metadatamap<string, string>
DeliveryResponse
FieldTypeDescription
addressAddressResponse
instructionsstring
contactContactResponse
businessNamestring
deliverAfterTimestringFormatted in HH not hh (24 hours)
deliverBeforeTimestringFormatted in HH not hh (24 hours)
dateOfDeliverystring (date-time)
DimensionPresetResponse
FieldTypeDescription
idstring (uuid)
vendorstringLimits: maximum 100 characters.
fulfillmentTypeenum FulfillmentTypeOne of: Unknown, Package, Pallet, Container, Miscellaneous.
titlestringLimits: maximum 200 characters.
weightnumber (double)The weight property acts as a limit for this specific box size.
lengthnumber (double)
widthnumber (double)
heightnumber (double)
defaultOptionbooleanevery business can have one package size preset set as the default option
lengthTypeenum LengthTypeOne of: Unknown, Centimeter, Meter, Inch, Foot.
weightTypeenum WeightTypeOne of: Unknown, Kilogram, Tonne, Pound, Stone, UsTon, ImperialTon, Gram.
countryCodeenum CountryCodeOne of: Invalid, Global, FallbackZa, Be, De, Lu, Nl, Za, Zw, Gb, Us, Zm.
dimensionTypeGeometryFieldSymbol
DimensionTypeWithSymbols
FieldTypeDescription
lengthTypeenum LengthTypeOne of: Unknown, Centimeter, Meter, Inch, Foot.
weightTypeenum WeightTypeOne of: Unknown, Kilogram, Tonne, Pound, Stone, UsTon, ImperialTon, Gram.
volumeTypeenum VolumeTypeOne of: None, Litre, CubicCentimeter, CubicMeter, Gallon, CubicInch, CubicFoot.
lengthSymbolstring
weightSymbolstring
volumeSymbolstring
FulfillmentDeliveryTypeModel

Represents the delivery type. Perhaps the company only does warehouse to warehouse deliveries etc...

FieldTypeDescription
idinteger (int32)
valuestring
FulfillmentItemResponse
FieldTypeDescription
weightnumber (double)
widthnumber (double)
lengthnumber (double)
heightnumber (double)
titlestring
quantitynumber (double)
declaredValuenumber (double)
descriptionstring
FulfillmentProviderResponse
FieldTypeDescription
idinteger (int32)
titlestring
descriptionstring
logoUrlstring
infoUrlstring
requiresUserAccountboolean
isThirdPartyProviderboolean
autoConfigureboolean
fulfillmentTypesstring[]
configuredProviderBusinessFulfillmentProviderResponse
integrationTypeenum IntegrationTypeOne of: Unknown, OneClick, Plugin, Bespoke, ApiKey.
actionLinkstring
fieldsMetadataConfigurationValue[]
requiredFieldsmap<string, string>
configuredValuesmap<string, string>
deliveryTypesFulfillmentDeliveryTypeModel[]
serviceTypesFulfillmentProviderServiceTypeModel[]
requirementTypesFulfillmentRequirementTypeModel[]
serviceLevelsFulfillmentServiceLevelModel[]
subTypesFulfillmentSubTypeModel[]
typesFulfillmentTypeModel[]
FulfillmentProviderServiceTypeModel

This model represents the different services which the fulfillment provider provides.

FieldTypeDescription
idinteger (int32)
valuestring
FulfillmentRequirementTypeModel
FieldTypeDescription
idinteger (int32)
valuestring
FulfillmentServiceLevelModel
FieldTypeDescription
idinteger (int32)
valuestring
descriptionstring
FulfillmentSubTypeModel
FieldTypeDescription
idinteger (int32)
fulfillmentTypeIdinteger (int32)
valuestring
FulfillmentTypeModel
FieldTypeDescription
idinteger (int32)
valuestring
FulfillmentTypeResponse
FieldTypeDescription
idinteger (int32)
valuestring
Geometry

Physical shipping geometry: the bounding measurements of an item plus the units they are expressed in. The single canonical shape for dimensions across the domain. Products, variants, shipments, order/shipment line items, and dimension presets all hold one of these instead of duplicating the Weight/Width/Length/Height quartet.

FieldTypeDescription
weightnumber (double)
widthnumber (double)
lengthnumber (double)
heightnumber (double)
weightTypeenum WeightTypeOne of: Unknown, Kilogram, Tonne, Pound, Stone, UsTon, ImperialTon, Gram.
lengthTypeenum LengthTypeOne of: Unknown, Centimeter, Meter, Inch, Foot.
GeometryAndCountryMetadata
FieldTypeDescription
currencyCodeenum CurrencyCodeOne of: Invalid, Eur, Usd, Gbp, Zar, Zmw.
countryCodeenum CountryCodeOne of: Invalid, Global, FallbackZa, Be, De, Lu, Nl, Za, Zw, Gb, Us, Zm.
weightTypeenum WeightTypeOne of: Unknown, Kilogram, Tonne, Pound, Stone, UsTon, ImperialTon, Gram.
lengthTypeenum LengthTypeOne of: Unknown, Centimeter, Meter, Inch, Foot.
GeometryFieldsResponse
FieldTypeDescription
weightnumber (double)
widthnumber (double)
lengthnumber (double)
heightnumber (double)
lengthTypeenum LengthTypeOne of: Unknown, Centimeter, Meter, Inch, Foot.
weightTypeenum WeightTypeOne of: Unknown, Kilogram, Tonne, Pound, Stone, UsTon, ImperialTon, Gram.
weightSymbolstring
lengthSymbolstring
GeometryFieldSymbol
FieldTypeDescription
weightTypeenum WeightTypeOne of: Unknown, Kilogram, Tonne, Pound, Stone, UsTon, ImperialTon, Gram.
lengthTypeenum LengthTypeOne of: Unknown, Centimeter, Meter, Inch, Foot.
lengthSymbolstring
weightSymbolstring
MetadataConfigurationValue
FieldTypeDescription
keystring
titlestring
isVisiblebooleanIf this is true, it should be surfaced to the dashboard...
isRequiredbooleanIf the user needs to provide this value when configuring the integration.
isSecretbooleanIf this is true, it should be returned as a marked value in the API response. We will show the first 5 characters and last 3 characters and remove the rest for security purposes.
prefixMaskstring
suffixMaskstring
validationRegexstringIf there is regex to be applied to validate the value, it should be set here....
validationMessagestring
valuestringThe stored configuration value
MetadataFileAttachment

Not quite as complete as the normal FileAttachment aggregate.

FieldTypeDescription
idstring (uuid)
typeenum MetadataAttachmentTypeOne of: File, Link.
fileAttachmentIdstring (uuid)Left as Guid.Empty for Link entries.
titlestring
urlstring
contentTypestring
descriptionstring
OrderBillingRequest
FieldTypeDescription
subTotalnumber (double)
totalPricenumber (double)
totalTaxnumber (double)
totalDiscountnumber (double)
discountnumber (double)
discountTypeenum DiscountTypeOne of: None, Percentage, FixedValue.
taxIncludedboolean
taxTypeenum TaxTypeOne of: None, Sales, Vat, Gst, Pst, Hst, Qst, Ist, Ust, Cst.
taxRatenumber (double)
OrderCarrierMetadata
FieldTypeDescription
carrierIdstring (uuid)
earliestCollectionstring (date-time)
collectionRequestedstring (date-time)
collectionAfterRequeststring (date-time)
dateDeliveredstring (date-time)
dateOfReturnRequestedstring (date-time)
timeframestring
requestedCollectionboolean
shipmentLabelGeneratedboolean
requestedReturnboolean
packageCountinteger (int32)
packagesOrderPackageMetadata[]
OrderCommentResponse
FieldTypeDescription
idstring (uuid)
orderIdstring (uuid)
commentstring
userPrimitiveUserResponse
dateCreatedstring (date-time)
OrderDeleteCommand
FieldTypeDescription
idstring (uuid)
OrderIntegrationDetailsResponse
FieldTypeDescription
idstring (uuid)
integrationIdstringThe integration id as displayed on the relevant integration
providerPrimitiveIntegrationProviderResponse
OrderItemIdentity
FieldTypeDescription
idstring (uuid)
OrderItemResponse

Order Item maps onto ProductOrder and contains a property with all of the product information.

FieldTypeDescription
idstring (uuid)
codestring
quantityOrderednumber (double)
unitenum UnitOfMeasureOne of: Each, Kilogram, Gram, Litre, Millilitre, Metre, Centimetre, SquareMetre, CubicMetre, Pair, Pack, Box, Roll, Sheet.
orderShipmentOrderShipmentResponse
productProductResponse
shipmentShipmentResponse
carrierPrimitiveIntegrationProviderResponse
dimensionPresetPrimitiveDimensionPreset
titlestring
descriptionstring
primaryImageUrlstring
geometryGeometryFieldsResponse
billingPriceDetailsResponse
OrderPackageMetadata
FieldTypeDescription
productIdstring (uuid)
dimensionsGeometry
OrderResponse
FieldTypeDescription
dateCreatedstring (date-time)
dateModifiedstring (date-time)
idstring (uuid)
codestring
deliveryItemCountinteger (int32)
orderItemCountnumber (double)Total quantity of items ordered across all line items. Surfaced for list views.
descriptionstring
purchaseOrderNumberstringThe customer's purchase order number, when this order was raised from a received customer PO.
billingPriceDetailsResponse
shippingCostsOrderShippingCostsResponse
fulfillmentStatusenum FulfillmentStatusOne of: Unknown, Unassigned, PendingCollection, PendingDelivery, Fulfilled, Cancelled.
customerIpAddressstring
serviceLevelenum ServiceLevelOne of: Unknown, Standard, Express, SameDay, Overnight, TwoDay, InternationalStandard, InternationalExpress, OnDemand, Freight.
weightTypeenum WeightTypeOne of: Unknown, Kilogram, Tonne, Pound, Stone, UsTon, ImperialTon, Gram.
lengthTypeenum LengthTypeOne of: Unknown, Centimeter, Meter, Inch, Foot.
statusenum OrderStatusOne of: Unknown, New, PendingCollection, PendingDelivery, Complete, Cancelled, PendingReturn, Returned.
fulfillmentTypeenum FulfillmentTypeOne of: Unknown, Package, Pallet, Container, Miscellaneous.
fulfillmentSubTypeenum FulfillmentSubTypeOne of: Unknown, GeneralPackage, FoodDelivery, MedicalDelivery, GroceriesDelivery, StandardPallet, StandardInternationalPallet, StandardUsPallet, StandardEuroPallet, CustomPallet, General10Ft, General20Ft, HighCube20Ft, General40Ft, HighCube40Ft, General45Ft, HighCube45Ft, FlatRack20FtWithSides, FlatRack20FtWithoutSides, FlatRack40FtWithSides, FlatRack40FtWithoutSides, OpenTop20Ft, OpenTop40Ft, Reefer20Ft, Reefer40Ft, MiniVan, DryVan, Flatbed, Tanker, AutoHauler, BoxTruck, Trailer, LowBoy, Dumper, Pickup, TowTruck, DumpTruck.
dateOfScheduledCollectionstring (date-time)
dateCreatedOnIntegrationstring (date-time)
effectiveDatestring (date-time)
dateOfDeliveryCompletionstring (date-time)
dateImportedstring (date-time)
countryCodeenum CountryCodeOne of: Invalid, Global, FallbackZa, Be, De, Lu, Nl, Za, Zw, Gb, Us, Zm.
paymentProcessedboolean
paymentUrlstring
integrationOrderUrlstring
multiCarrierboolean
currencyCodeenum CurrencyCodeOne of: Invalid, Eur, Usd, Gbp, Zar, Zmw.
paymentMethodenum PaymentMethodOne of: Unknown, Cash, Card, CashOnDelivery, CardOnDelivery, Eft, Crypto, Paypal, WireTransfer, DebitOrder.
attachmentsMetadataFileAttachment[]
orderItemsOrderItemResponse[]
orderShipmentsOrderShipmentResponse[]
destinationAddressAddressResponse
originAddressAddressResponse
originLocationIdstring (uuid)The location/store the order is attributed to (trace which store it came from).
originLocationTitlestring
sourceChannelIdstring (uuid)The sales channel (medium) the order came through.
sourceChannelTitlestring
sourceChannelSalesChannelResponse
customerCustomerResponse
carrierMetadataOrderCarrierMetadata
dimensionTypeDimensionTypeWithSymbols
currencyMetadataCurrencyResponse
fulfillmentProvidersPrimitiveIntegrationProviderResponse[]
packageSizesPrimitiveDimensionPreset[]
integrationsOrderIntegrationDetailsResponse[]
metadatamap<string, string>
OrderSettingsResponse
FieldTypeDescription
autoAllocatePackagePresetsboolean
autoAllocateFulfillmentProviderboolean
autoGroupOrderItemsboolean
collectionPreferencesCollectionPreferenceResponse[]
dimensionPresetsDimensionPresetResponse[]
fulfillmentContactsPrimitiveUserResponse[]
fulfillmentProvidersFulfillmentProviderResponse[]
fulfillmentTypesFulfillmentTypeResponse[]
defaultFulfillmentProviderstring (uuid)
fulfillmentProviderFulfillmentProviderResponse
defaultFulfillmentContactstring (uuid)
fulfillmentContactPrimitiveUserResponse
defaultDimensionPresetstring (uuid)
dimensionPresetDimensionPresetResponse
defaultFulfillmentTypeenum FulfillmentTypeOne of: Unknown, Package, Pallet, Container, Miscellaneous.
fulfillmentTypeFulfillmentTypeResponse
defaultCollectionPreferenceenum CollectionPreferenceOne of: NotAllocated, SameDay, NextDay, TwoDays, ThreeDays, FourDays, FiveDays.
collectionPreferenceCollectionPreferenceResponse
collectionPreferenceDatestring (date-time)
OrderShipmentResponse
FieldTypeDescription
shipmentQuotationShipmentQuotationResponse
orderOrderResponse
shipmentShipmentResponse
fulfillmentProviderPrimitiveIntegrationProviderResponse
canModifyItemsbooleanWhether the item set of this shipment can still be changed, through PUT /orders/{orderId}/shipments/{shipmentId}/items. False once the shipment leaves the Active status, or once a label, an invoice, a fulfillment request, an approved quotation, or a manual lock names the load it carries.
OrderShippingCostsResponse
FieldTypeDescription
shippingSubTotalnumber (double)
shippingDiscountnumber (double)
shippingTaxnumber (double)
shippingTotalnumber (double)
PriceDetailsResponse
FieldTypeDescription
subTotalnumber (double)
totalPricenumber (double)
totalTaxnumber (double)
totalDiscountnumber (double)
discountnumber (double)
discountTypeenum DiscountTypeOne of: None, Percentage, FixedValue.
taxIncludedboolean
taxRatenumber (double)
taxTypeenum TaxTypeOne of: None, Sales, Vat, Gst, Pst, Hst, Qst, Ist, Ust, Cst.
currencyCurrencyResponse
PrimitiveDimensionPreset
FieldTypeDescription
titlestring
weightnumber (double)
widthnumber (double)
lengthnumber (double)
heightnumber (double)
idstring (uuid)
fulfillmentTypeenum FulfillmentTypeOne of: Unknown, Package, Pallet, Container, Miscellaneous.
lengthTypeenum LengthTypeOne of: Unknown, Centimeter, Meter, Inch, Foot.
weightTypeenum WeightTypeOne of: Unknown, Kilogram, Tonne, Pound, Stone, UsTon, ImperialTon, Gram.
PrimitiveIntegrationProviderResponse
FieldTypeDescription
configuredProviderIdstring (uuid)
idinteger (int32)
titlestring
descriptionstring
logoUrlstring
PrimitiveUserResponse
FieldTypeDescription
idstring (uuid)
displayNamestring
firstNamestring
lastNamestring
emailstring
phoneNumberstring
ProductCategoryPrimitive
FieldTypeDescription
categorystring
ProductGeometryFieldsResponse
FieldTypeDescription
weightnumber (double)
widthnumber (double)
lengthnumber (double)
heightnumber (double)
lengthTypeenum LengthTypeOne of: Unknown, Centimeter, Meter, Inch, Foot.
weightTypeenum WeightTypeOne of: Unknown, Kilogram, Tonne, Pound, Stone, UsTon, ImperialTon, Gram.
weightSymbolstring
lengthSymbolstring
fulfillmentTypeenum FulfillmentTypeOne of: Unknown, Package, Pallet, Container, Miscellaneous.
titlestring
geometrySymbolGeometryFieldSymbol
ProductGroupSummaryResponse

Catalog-card summary of a product group (variant family): the umbrella name and how many products it contains. See group.

FieldTypeDescription
idstring (uuid)
namestring
variantCountinteger (int32)
ProductIntegrationProviderResponse
FieldTypeDescription
providerPrimitiveIntegrationProviderResponse
idstring (uuid)Represents the product integration id.
integrationIdstringThe composite integration id in it's original form represented as a string. Refer to ProductService::GetProductResponse()
productProductResponse
ProductPriceDetailsResponse
FieldTypeDescription
subTotalnumber (double)
totalPricenumber (double)
totalTaxnumber (double)
totalDiscountnumber (double)
discountnumber (double)
discountTypeenum DiscountTypeOne of: None, Percentage, FixedValue.
taxIncludedboolean
taxRatenumber (double)
taxTypeenum TaxTypeOne of: None, Sales, Vat, Gst, Pst, Hst, Qst, Ist, Ust, Cst.
currencyCurrencyResponse
idstring (uuid)
purchasableboolean
priceTypeenum PriceTypeOne of: Selling, Purchase, Cost.
sourceenum PriceSourceOne of: Manual, SupplierUpdate, Import, Sync, Migration.
notesstring
effectiveDatestring (date-time)
currencyMetadataCurrencyResponse
priceUnitenum UnitOfMeasureOne of: Each, Kilogram, Gram, Litre, Millilitre, Metre, Centimetre, SquareMetre, CubicMetre, Pair, Pack, Box, Roll, Sheet.
pricePackQuantitynumber (double)
pricePerUnitnumber (double)
basisenum PriceResolutionBasisOne of: FixedItem, PeggedItem, ListRule.
adjustmentTypeenum PriceAdjustmentTypeOne of: Percentage, Amount.
adjustmentValuenumber (double)
ProductResponse
FieldTypeDescription
idstring (uuid)
codestring
skustring
barcodestring
upcstring
eanstring
mpnstring
titlestring
descriptionstring
bodystring
productLinkstring
productTypeenum ProductTypeOne of: FinishedGood, RawMaterial, Component, Consumable, Service.
statusenum ProductStatusOne of: Active, Inactive, Discontinued.
unitenum UnitOfMeasureOne of: Each, Kilogram, Gram, Litre, Millilitre, Metre, Centimetre, SquareMetre, CubicMetre, Pair, Pack, Box, Roll, Sheet.
purchasableboolean
isSellableboolean
isPurchasableboolean
isTaxableboolean
requiresShippingboolean
totalAvailableQuantitynumber (double)Available stock derived from the inventory ledger: the sum of (on-hand − reserved) across the product's inventory records at all locations.
totalSoldnumber (double)
totalSoldValuenumber (double)
onSaleboolean
currentPriceProductPriceDetailsResponse
tracesActionMessage[]Get the historical view of changes for this object
defaultImageMetadataFileAttachment
imagesMetadataFileAttachment[]
attachmentsMetadataFileAttachment[]
geometryProductGeometryFieldsResponse
integrationsProductIntegrationProviderResponse[]
localeSymbolicLocaleMetadata
dimensionPresetDimensionPresetResponse
dimensionPresetsDimensionPresetResponse[]
categoriesProductCategoryPrimitive[]
supplierSupplierResponse
groupProductGroupSummaryResponse
tagsstring[]
hasRatingboolean
ratingnumber (double)
metadatamap<string, string>
dateCreatedstring (date-time)
SalesChannelResponse
FieldTypeDescription
idstring (uuid)
titlestring
kindenum SalesChannelKindOne of: Direct, PointOfSale, Online, Marketplace.
defaultLocationIdstring (uuid)
ShipmentQuotationResponse
FieldTypeDescription
idstring (uuid)
providerPrimitiveIntegrationProviderResponse
itemsFulfillmentItemResponse[]
requiredServicesFulfillmentProviderServiceTypeModel[]
requirementsFulfillmentRequirementTypeModel[]
collectionCollectionResponse
deliveryDeliveryResponse
totalDeclaredValuenumber (double)
isInternationalboolean
isApprovedByUserboolean
totalItemsinteger (int32)
serviceLevelTextstring
serviceLevelenum ServiceLevelOne of: Unknown, Standard, Express, SameDay, Overnight, TwoDay, InternationalStandard, InternationalExpress, OnDemand, Freight.
fulfillmentTypeenum FulfillmentTypeOne of: Unknown, Package, Pallet, Container, Miscellaneous.
deliveryTypeenum FulfillmentDeliveryTypeOne of: Unknown, DoorToDoor, DoorToCollectionPoint, CollectionPointToDoor, CollectionPointToCollectionPoint, DoorToPort, PortToDoor, PortToPort, LockerToLocker.
weightTypeenum WeightTypeOne of: Unknown, Kilogram, Tonne, Pound, Stone, UsTon, ImperialTon, Gram.
lengthTypeenum LengthTypeOne of: Unknown, Centimeter, Meter, Inch, Foot.
countryCodeenum CountryCodeOne of: Invalid, Global, FallbackZa, Be, De, Lu, Nl, Za, Zw, Gb, Us, Zm.
dateOfEstimatedCollectionstring (date-time)The estimated collection and delivery dates, when they are known. They are null when no estimate exists. Do not substitute today's date.
dateOfEstimatedDeliverystring (date-time)
currencyCurrencyResponse
subTotalnumber (double)
totalPricenumber (double)
totalTaxnumber (double)
totalDiscountnumber (double)
discountnumber (double)
discountTypeenum DiscountTypeOne of: None, Percentage, FixedValue.
taxIncludedboolean
shipmentShipmentResponse
ShipmentResponse
FieldTypeDescription
dateCreatedstring (date-time)
dateModifiedstring (date-time)
idstring (uuid)
fulfillmentTypeenum FulfillmentTypeOne of: Unknown, Package, Pallet, Container, Miscellaneous.
statusenum ShipmentStatusOne of: Unknown, Active, PendingCollection, CollectionUnassigned, CollectionAssigned, CollectionRejected, CollectionException, CollectionFailedAttempt, Collected, AtHub, ReturnedToHub, InTransit, AtDestinationHub, DeliveryUnassigned, DeliveryAssigned, DeliveryRejected, DeliveryException, OutForDelivery, DeliveryFailedAttempt, InLocker, Delivered, Cancelled.
hasDimensionsboolean
dateOfDeparturestring (date-time)
titlestringLimits: maximum 100 characters.
providerServiceLevelIdUid
providerServiceLevelIdTypeenum UidTypeOne of: Unknown, Long, Guid, String.
serviceLevelenum ServiceLevelOne of: Unknown, Standard, Express, SameDay, Overnight, TwoDay, InternationalStandard, InternationalExpress, OnDemand, Freight.
codestring
descriptionstringLimits: maximum 3000 characters.
handlingTypeenum HandlingTypeOne of: Unknown, Delivery, Collection, Unassigned.
requiresApprovalboolean
totalDeclaredValuenumber (double)
quantityOfItemsnumber (double)
trackingIdstring
barcodestring
deliveryDeliveryResponse
collectionCollectionResponse
currencyCurrencyResponse
dispatchDispatchResponse
businessBusinessResponse
customerCustomerResponse
itemsShipmentItemResponse[]
fulfillmentContactsContactResponse[]
orderShipmentsOrderShipmentResponse[]
waypointsShipmentWaypointResponse[]
metadatamap<string, string>
attachmentsMetadataFileAttachment[]
SupplierResponse
FieldTypeDescription
idstring (uuid)
titlestring
descriptionstring
contactContactResponse
addressIdstring (uuid)Reference to the supplier's origin address (business_addresses), if set.
addressAddressResponse
paymentTermsstringFree-text payment terms (e.g. "Net 30"). Display-only.
defaultLeadTimeDaysinteger (int32)Fallback lead time in days for suppliers with no purchase-order history yet.
codestringOptional free-text internal reference code for the supplier (e.g. "SUP-001"). Display-only.
defaultCurrencyenum CurrencyCodeOne of: Invalid, Eur, Usd, Gbp, Zar, Zmw.
SymbolicLocaleMetadata
FieldTypeDescription
currencystring
countrystring
weightstring
lengthstring
businessDefaultTypesGeometryAndCountryMetadata